PHP-инклюдинг в phpRealty

Дата публикации:
18.09.2008
Всего просмотров:
3256
Опасность:
Высокая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
phpRealty 0.x
Уязвимые версии: phpRealty 0.03, возможно другие версии.

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный PHP сценарий на целевой системе.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "INC" в сценарии manager/static/view.php, когда параметр "propID" установлен в цифровое значение. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный PHP сценарий на целевой системе с привилегиями Web сервера. Для удачной эксплуатации уязвимости опция "register_globals" должна быть включена в конфигурационном файле PHP. Пример:

http://[host]/manager/static/view.php?propID=0&INC=[file]

URL производителя: php-realty.com

Решение: Установите последнюю версию 0.05 с сайта производителя.

или введите имя

CAPTCHA